#!/bin/bash -e
cd `dirname $0`

TESTNAME=mediawiki_alt_continue_upgrade
APP=mediawiki
source ./setup

source ./mediawiki-install

# nuke the install
FROB="RELEASE-NOTES"
mv "$TESTDIR/$FROB" "$TESTDIR/$FROB.bak"
echo "this is a bad file" > "$TESTDIR/$FROB"

# attempt an upgrade, this will fail
RESULT=`! wizard upgrade "$TESTDIR" --non-interactive`
TMPTESTDIR=`echo "$RESULT" | awk '{print $2}'`

# resolve the upgrade
mv -f "$TESTDIR/$FROB.bak" "$TMPTESTDIR/$FROB"
OLDDIR=`pwd`
cd "$TMPTESTDIR"
git add $FROB
git commit -m "resolution commit"

# perform continue from the wrong directory
cd "$OLDDIR/$TESTDIR"
wizard upgrade --continue
